#include <stdio.h>
#include <dir.h>
#include <fcntl.h>
#include <alloc.h>

#define NOTFOUND -1

int exitcode(int errorno,char *fn){
	switch(errorno){
		case 1: printf("\nError encountered trying to find %s",fn);break;
		case 2: printf("\nCannot open file %s!",fn);break;
		case 3: printf("\nNot enough memory to load %s",fn);break;
		case 4: printf("\nCannot load %s into memory!",fn);break;
		case 5: printf("\nCould not write %s!",fn);break;
	}
	exit(1);
}

main(int argc, char *argv[]){
	struct ffblk f;
	int fd,status,i;
	char *data,*c;

	if((findfirst(argv[1],&f,0))==NOTFOUND) 	exitcode(1,argv[1]);
	if((fd=_open(argv[1],O_RDONLY|O_BINARY))==-1) 	exitcode(2,argv[1]);
	if((data=(char *)malloc(f.ff_fsize))==NULL) 	exitcode(3,argv[1]);
	memset(data,'\0',(int)f.ff_fsize+10);
	if((read(fd,data,(int)f.ff_fsize))!=f.ff_fsize)exitcode(4,argv[1]);
	close(fd);
	for(i=(int)f.ff_fsize;i>0;i--){
		c=data+i;
		if((int)*c > 26) break;
	}
	i++;
	if((fd=_creat(argv[1],0))==-1) 	exitcode(2,argv[1]);
	if((write(fd,data,i))!=i) exitcode(5,argv[1]);
	clrscr();
	printf("%s",data);
	close(fd);
	free(data);

}